POST api/CosEccSummary/UpdateAppointmentStatus

Request Information

URI Parameters

None.

Body Parameters

ExamScheduleAppointmentDTO
NameDescriptionTypeAdditional information
Id

integer

None.

EncounterId

integer

None.

ScheduleDate

date

None.

ScheduleTime

time interval

None.

FacilityCode

string

String length: inclusive between 0 and 20

Status

integer

None.

TimeZone

integer

None.

IsScheduled

boolean

None.

HospitalName

string

String length: inclusive between 0 and 100

HospitalAddress

string

String length: inclusive between 0 and 300

City

string

String length: inclusive between 0 and 30

State

string

String length: inclusive between 0 and 2

ZipCode

string

String length: inclusive between 0 and 10

Phone

string

String length: inclusive between 0 and 20

Fax

string

String length: inclusive between 0 and 20

StatusType

string

None.

ClinicEmail

string

String length: inclusive between 0 and 200

Suite

string

String length: inclusive between 0 and 10

Country

string

String length: inclusive between 0 and 15

CoordinatorName

string

String length: inclusive between 0 and 60

EmployeeMessageQueueId

integer

None.

ClinicMessageQueueId

integer

None.

CaseNo

integer

None.

ResultType

integer

None.

ComponentId

integer

None.

ComponentName

string

String length: inclusive between 0 and 8000

OnSiteLocationId

integer

None.

ExamName

string

String length: inclusive between 0 and 200

LocationSelection

integer

None.

TelemedicineId

integer

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "EncounterId": 2,
  "ScheduleDate": "2026-08-04T14:25:56.4030512-07:00",
  "ScheduleTime": "00:00:00.1234567",
  "FacilityCode": "sample string 5",
  "Status": 6,
  "TimeZone": 1,
  "IsScheduled": true,
  "HospitalName": "sample string 7",
  "HospitalAddress": "sample string 8",
  "City": "sample string 9",
  "State": "sample string 10",
  "ZipCode": "sample string 11",
  "Phone": "sample string 12",
  "Fax": "sample string 13",
  "StatusType": "sample string 14",
  "ClinicEmail": "sample string 15",
  "Suite": "sample string 16",
  "Country": "sample string 17",
  "CoordinatorName": "sample string 18",
  "EmployeeMessageQueueId": 19,
  "ClinicMessageQueueId": 20,
  "CaseNo": 21,
  "ResultType": 1,
  "ComponentId": 22,
  "ComponentName": "sample string 23",
  "OnSiteLocationId": 1,
  "ExamName": "sample string 24",
  "LocationSelection": 1,
  "TelemedicineId": 1,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:25:56.4030512-07:00",
  "DateUpdated": "2026-08-04T14:25:56.4030512-07:00",
  "UserIDCreated": 28,
  "UserIDUpdated": 29,
  "CompanyCode": "sample string 30",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfExamScheduleAppointmentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ExamScheduleAppointmentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "EncounterId": 2,
    "ScheduleDate": "2026-08-04T14:25:56.4030512-07:00",
    "ScheduleTime": "00:00:00.1234567",
    "FacilityCode": "sample string 5",
    "Status": 6,
    "TimeZone": 1,
    "IsScheduled": true,
    "HospitalName": "sample string 7",
    "HospitalAddress": "sample string 8",
    "City": "sample string 9",
    "State": "sample string 10",
    "ZipCode": "sample string 11",
    "Phone": "sample string 12",
    "Fax": "sample string 13",
    "StatusType": "sample string 14",
    "ClinicEmail": "sample string 15",
    "Suite": "sample string 16",
    "Country": "sample string 17",
    "CoordinatorName": "sample string 18",
    "EmployeeMessageQueueId": 19,
    "ClinicMessageQueueId": 20,
    "CaseNo": 21,
    "ResultType": 1,
    "ComponentId": 22,
    "ComponentName": "sample string 23",
    "OnSiteLocationId": 1,
    "ExamName": "sample string 24",
    "LocationSelection": 1,
    "TelemedicineId": 1,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:56.4030512-07:00",
    "DateUpdated": "2026-08-04T14:25:56.4030512-07:00",
    "UserIDCreated": 28,
    "UserIDUpdated": 29,
    "CompanyCode": "sample string 30",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}